<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMStoreEditView_9924Base from './emstore-edit-view-9924-base.vue';

import view_form from '@widgets/emstore/main3-form/main3-form.vue';

/**
 * 仓库
 *
 * @export
 * @class EMStoreEditView_9924
 * @extends {EMStoreEditView_9924Base}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMStoreEditView_9924 extends EMStoreEditView_9924Base { }
</script>